package cn.pluss.platform.merchant;

import cn.pluss.platform.entity.MerchantPlugin;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 商户插件表 服务类
 * </p>
 *
 * @author Djh
 * @since 2021-01-29
 */
public interface MerchantPluginService extends IService<MerchantPlugin> {

    /**
     * 获取进件信息
     * @param userId    用户id
     */
    default MerchantPlugin getPluginInfo(String userId) {
        MerchantPlugin merchantPlugin = new MerchantPlugin();
        merchantPlugin.setUserId(Integer.parseInt(userId));
        return getBaseMapper().selectOne(new QueryWrapper<>(merchantPlugin));
    }

    /**
     * 发起插件进件请求
     * @param userId    用户id
     */
    void reqAudit(String userId);

    /**
     * 插件进件请求
     * @param userId
     */
    void audit(String userId);

    void refuse(String userId, String msg);

    /**
     * 获取插件相关信息
     * @param userId
     * @return
     */
    Map<String, Object> getInfo(String userId);
}
